| Qore astparser Module 1.14.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
astparser::AstTreeSearcher Class Reference

AstParser class. More...

`#include <QC_AstTreeSearcher.dox.h>`

## Public Member Functions
| constructor ()
| Creates the AstTreeSearcher.
*list | findMatchingSymbols (astparser::AstTree tree, string uri, string query, bool exactMatch=False, bool fixSymbols=True, bool bareNames=False)
| Find matching symbols in a document.
*list | findReferences (astparser::AstTree tree, string uri, int line, int col, bool includeDecl)
| Find symbol references.
*hash | findSymbolInfo (astparser::AstTree tree, int line, int col)
| Find symbol info.
*list | findSymbols (astparser::AstTree tree, string uri, bool fixSymbols=True, bool bareNames=False)
| Find all symbols in a document.
*hash | hoverInfo (astparser::AstTree tree, int kind, int line, int col)
| Hover info.

## Detailed Description

AstParser class.

Lorem ipsum dolor sit amet.

Since
  Qore 0.8.13

## Member Function Documentation

## ◆ findMatchingSymbols()

*list astparser::AstTreeSearcher::findMatchingSymbols | ( | astparser::AstTree | tree,
|  | string | uri,
|  | string | query,
|  | bool | exactMatch = False,
|  | bool | fixSymbols = True,
|  | bool | bareNames = False )

Find matching symbols in a document.

Parameters

  tree | AST tree structure
  uri | document's uri
  query | search query
  exactMatch | whether to only find exact matches
  fixSymbols | whether to fix symbol infos
  bareNames | whether to return bare symbol names (without namespace and class prefixes)

Returns
  list of symbols

## ◆ findReferences()

*list astparser::AstTreeSearcher::findReferences | ( | astparser::AstTree | tree,
|  | string | uri,
|  | int | line,
|  | int | col,
|  | bool | includeDecl )

Find symbol references.

Parameters

  tree | AST tree structure
  uri | document's uri
  line | line on which the symbol lies
  col | column at which the symbol lies
  includeDecl | whether to include a reference at the passed position

Returns
  list of reference locations

## ◆ findSymbolInfo()

*hash astparser::AstTreeSearcher::findSymbolInfo | ( | astparser::AstTree | tree,
|  | int | line,
|  | int | col )

Find symbol info.

Parameters

  tree | AST tree structure
  line | on what line lies the symbol we want to get info about
  col | on what column lies the symbol we want to get info about

Returns
  hash with hover info

## ◆ findSymbols()

*list astparser::AstTreeSearcher::findSymbols | ( | astparser::AstTree | tree,
|  | string | uri,
|  | bool | fixSymbols = True,
|  | bool | bareNames = False )

Find all symbols in a document.

Parameters

  tree | AST tree structure
  uri | document's uri
  fixSymbols | whether to fix symbol infos
  bareNames | whether to return bare symbol names (without namespace and class prefixes)

Returns
  list of symbols

## ◆ hoverInfo()

*hash astparser::AstTreeSearcher::hoverInfo | ( | astparser::AstTree | tree,
|  | int | kind,
|  | int | line,
|  | int | col )

Hover info.

Parameters

  tree | AST tree structure
  kind | symbol kind
  line | on what line lies the symbol we want to get info about
  col | on what column lies the symbol we want to get info about

Returns
  hash with hover info

The documentation for this class was generated from the following file:

- modules/astparser/src/QC_AstTreeSearcher.dox.h